/Users/bernard/b20/bsoft/include/rwsymop.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwsymop.h - Header file for reading and writing symmetry operators.

SYNOPSIS

#include 'symmetry.h'
#include 'rwimg.h'
#include 'View.h'

  Functions
float * read_symat (Bstring &filename, int spacegroup, int &nsym)
Reading crystallographic symmetry operators.
char * read_symop (Bstring &filename, int spacegroup, int &nsym)
Reading crystallographic symmetry operators.
int write_symat (Bstring &filename, int spacegroup)
Writing crystallographic symmetry operators.
int write_pointgroup (Bstring &filename, Bstring &symmetry_string, View ref_view)
Writing point group symmetry operators.
int write_pointgroup (Bstring &filename, Bsymmetry *sym, View ref_view)

Detailed Description

Header file for reading and writing symmetry operators.

Author:
    Bernard Heymann

Date:
    Created: 19990509

    Modified: 20070621

Definition in file rwsymop.h.

Function Documentation

  float* read_symat (Bstring & filename, int spacegroup, int & nsym)

Reading crystallographic symmetry operators.

Parameters:
    &filename file name.
    spacegroup crystal space group number.
    &nsym number of symmetry operators.

Returns:
    float* set of 12-value symmetry matrices.

    The symmetry operators are encoded as a set of matrices.

Definition at line 34 of file rwsymop.cpp.

  char* read_symop (Bstring & filename, int spacegroup, int & nsym)

Reading crystallographic symmetry operators.

Parameters:
    &filename file name.
    spacegroup crystal space group number.
    &nsym number of symmetry operators.

Returns:
    char* set of 12-value symmetry matrices.

    The symmetry operators are encoded as 80 character lines.

Definition at line 59 of file rwsymop.cpp.

  int write_pointgroup (Bstring & filename, Bstring & symmetry_string, View ref_view)

Writing point group symmetry operators.

Parameters:
    &filename file name.
    &symmetry_string symmetry string.
    ref_view reference view.

Returns:
    int error code (<0 means failure).

Definition at line 124 of file rwsymop.cpp.

  int write_pointgroup (Bstring & filename, Bsymmetry * sym, View ref_view)

Definition at line 135 of file rwsymop.cpp.

  int write_symat (Bstring & filename, int spacegroup)

Writing crystallographic symmetry operators.

Parameters:
    &filename file name.
    spacegroup crystal space group number.

Returns:
    int error code (<0 means failure).

Definition at line 101 of file rwsymop.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.